Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
__suio Struct Reference

## Data Fields
struct __siov * | uio_iov
int | uio_iovcnt
size_t | uio_resid

## Detailed Description

Definition at line 234 of file vsnprintf.c.

## Field Documentation

struct __siov* __suio::uio_iov

Definition at line 235 of file vsnprintf.c.

Referenced by BSD__sfvwrite(), BSD_vfprintf(), and ruby__sfvwrite().

int __suio::uio_iovcnt

Definition at line 236 of file vsnprintf.c.

Referenced by BSD__sprint(), and BSD_vfprintf().

size_t __suio::uio_resid

Definition at line 237 of file vsnprintf.c.

Referenced by BSD__sfvwrite(), BSD__sprint(), BSD_vfprintf(), and ruby__sfvwrite().

The documentation for this struct was generated from the following file:

- vsnprintf.c